[Risolto] yaourt non aggiorna più i --devel

Problemi e suggerimenti legati al software e ai pacchetti problematici.
Rispondi
psychoweb
Novello Arciere
Messaggi: 108
Iscritto il: 15 luglio 2008, 8:58

Messaggio da psychoweb » 25 agosto 2008, 3:51

Ok, ammetto di essere fissato dato che è il mio secondo post sull'opzione --devel di yaourt. :D

Però da un po' (forse quando ho aggiornato la nuova versione) non mi visualizza i pacchetti da aggiornare con quell'opzione. Guardando il file script (/usr/bin/yaourt) ho notato che c'è un backslash+spazio di troppo alla fine della riga

Codice: Seleziona tutto

for PKG in $(pacman -Qq | grep "-(svn|cvs|hg|git|bzr|darcs) ")
infatti scrivendo in bash

Codice: Seleziona tutto

$ pacman -Qq | grep "-(svn|cvs|hg|git|bzr|darcs) "
non compare, nulla, invece così

Codice: Seleziona tutto

$ pacman -Qq | grep "-(svn|cvs|hg|git|bzr|darcs)"
mi visualizza correttamente la lista dei pacchetti di sviluppo.

Qualcuno conferma? :| per sicurezza ho anche fatto un bug report sulla pagina del progetto (sperando di non aver fatto cavolate!!)
Ultima modifica di psychoweb il 25 agosto 2008, 21:59, modificato 1 volta in totale.

psychoweb
Novello Arciere
Messaggi: 108
Iscritto il: 15 luglio 2008, 8:58

Messaggio da psychoweb » 25 agosto 2008, 21:58

lo sviluppatore di yaourt ha committato la patch, thread chiuso :)

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 25 agosto 2008, 22:12

bravo paolo ;)

Rispondi